Game Develop Core: gd::ExtensionsLoader Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::ExtensionsLoader Class Reference

Internal class loading static extensions. More...

`#include <ExtensionsLoader.h>`

## Static Public Member Functions

static void | LoadAllExtensions (const std::string &directory, gd::Platform &platform)
| Load all extensions located in the extensions directory for a platform. More...
static void | LoadExtension (const std::string &fullpath, gd::Platform &platform)
| Load an extension from a file and add it to a platform. More...
static void | ExtensionsLoadingDone (const std::string &directory)
| To be called when extensions loading is done. More...

## Detailed Description

Internal class loading static extensions.

Class that load extensions and store them in ExtensionsManager

See Also
  ExtensionsManager

## Member Function Documentation

void gd::ExtensionsLoader::ExtensionsLoadingDone | ( | const std::string & | directory) |  |

static

To be called when extensions loading is done.

This is necessary on Linux to make symbols exported by extensions available.

Parameters

  directory | The directory where extensions have been loaded from.

void gd::ExtensionsLoader::LoadAllExtensions | ( | const std::string & | directory,
|  | gd::Platform & | platform
| ) |  |

static

Load all extensions located in the extensions directory for a platform.

Parameters

  directory | The directory where extensions must be searched.
  platform | The platform the extensions belongs to.

Note
  Extensions files must have extensions *.xgd(w|l|m)(e), w for Windows, l for Linux, m for Mac, e for Edittime extensions.

void gd::ExtensionsLoader::LoadExtension | ( | const std::string & | fullpath,
|  | gd::Platform & | platform
| ) |  |

static

Load an extension from a file and add it to a platform.

Parameters

  fullpath | The fullpath to the extension file.
  platform | The platform the extension belongs to.

The documentation for this class was generated from the following files:

- ExtensionsLoader.h
- ExtensionsLoader.cpp